import { select, json, geoPath, geoNaturalEarth1} from 'd3';
import {feature} from 'topojson'; //Importing the required packages.

const svg = select('svg');//creating a new svg element

const width = +svg.attr('width');//setting the dimensions for the svg window
const height = +svg.attr('height');

const projection = geoNaturalEarth1();//making the geo projection
const pathGenerator = geoPath().projection(projection);

svg.append('path')//appending the elements
		.attr('class', 'sphere')
		.attr('d', pathGenerator({type: 'Sphere'}));

//reading the data
json('https://gist.githubusercontent.com/Harshinireddyy19/e4e40ac4c23b60c1f1dd738c9ec9d936/raw/a2ef9da6f4b78b4fd0f2a2b7aa9bbd723e9c28ee/World.json')
		.then(data => {
  			const countries = feature(data, data.objects.countries);
  
  			svg.selectAll('path')
        		.data(countries.features)
  					.enter().append('path')
  					.attr('class', 'country')
  					.attr('d', pathGenerator)
		});









